## onionprobe 1.0.0+ds

=== debian/changelog ===
onionprobe (1.0.0+ds-2.1+deb12u1) bookworm; urgency=medium

  * debian/patches:
    - Pull in upstream fix to silence Tor if generating hashed passwords.
      (Closes: #1053204)

 -- Georg Faerber <georg@debian.org>  Mon, 18 Dec 2023 14:30:56 +0000

onionprobe (1.0.0+ds-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:32:07 +0200

onionprobe (1.0.0+ds-2) unstable; urgency=medium

  * Source-only upload to allow migration. 

 -- Georg Faerber <georg@debian.org>  Wed, 20 Jul 2022 19:16:36 +0000

onionprobe (1.0.0+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #1014814)

 -- Georg Faerber <georg@debian.org>  Wed, 13 Jul 2022 11:52:35 +0000

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with=python3 --buildsystem=pybuild

override_dh_auto_build:
	# Pipe output to sed to avoid http://lintian.debian.org/tags/hyphen-used-as-minus-sign.html
	# Fixed in http://johnmacfarlane.net/pandoc/releases.html#pandoc-1.10-2013-01-19
	pandoc -s -w man docs/man/onionprobe.1.md -o docs/man/onionprobe.1
	sed -i -e 's/--/\\-\\-/g' docs/man/onionprobe.1
	dh_auto_build

override_dh_auto_install:
	dh_auto_install
	# Remove duplicate configs created by the Python packaging procedure
	rm -rf debian/onionprobe/usr/etc

override_dh_installinit:
	dh_installinit --no-enable --no-start

override_dh_installsystemd:
	dh_installsystemd --no-enable --no-start

## onionprobe 1.1.2%2Bds

=== debian/changelog ===
onionprobe (1.1.2+ds-1ubuntu0.1) noble; urgency=medium

  * Ensure fixed version of py3compile/py3clean is used when upgrading
    (LP: #2075337)

 -- Dave Jones <dave.jones@canonical.com>  Sun, 25 Aug 2024 23:23:17 +0100

onionprobe (1.1.2+ds-1) unstable; urgency=medium

  * New upstream version:
    - Ships fix to silence Tor if generating hashed passwords.
      (Closes: #1053204)
  * debian/patches:
    - Add patch to fix install location of 'configs' and 'examples'.
      (Closes: #1025508)
  * debian/rules:
    - Drop obsolete 'dh_auto_install' override.

 -- Georg Faerber <georg@debian.org>  Mon, 23 Oct 2023 20:32:58 +0000

## onionprobe 1.4.1+ds

=== docs/slides/Makefile ===
#
# Makefile for Onion Tex Slim slides
# Adapted to Onionprobe
#
# See https://gitlab.torproject.org/rhatto/onion-tex-slim
# Inspired by https://gitlab.torproject.org/anarcat/presentations/-/blob/main/soto-2022/Makefile
#

TEMPLATE      = beamer-ahf-slim.tex
TEMPLATE_PATH = ../../vendors/onion-tex-slim/src/pandoc/templates/$(TEMPLATE)
COMPILE_CMD   = pandoc -t beamer --pdf-engine=pdflatex --slide-level 2 --template="$(TEMPLATE_PATH)"
ALL						= $(shell find -name '*.md' | sed -e 's/.md$$/.pdf/g')

export TEXINPUTS:=$(shell pwd)/../../vendors/onion-tex-slim/src/tex:${TEXINPUTS}

.PHONY: all clean

all: $(ALL)

%.pdf: %.md
	@echo Building $@...
	@$(COMPILE_CMD) $< -o $@

clean:
	@rm -r $(ALL) || true

## onionprobe 1.1.2+ds

=== debian/control ===
Source: onionprobe
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Privacy Tools Maintainers <pkg-privacy-maintainers@lists.alioth.debian.org>
Uploaders: Georg Faerber <georg@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-python,
               pandoc,
               pybuild-plugin-pyproject,
               python3,
               python3-setuptools,
X-Python-3-Version: >= 3.5
Standards-Version: 4.6.0.1
Homepage: https://gitlab.torproject.org/tpo/onion-services/onionprobe
Vcs-Git: https://salsa.debian.org/pkg-privacy-team/onionprobe.git
Vcs-Browser: https://salsa.debian.org/pkg-privacy-team/onionprobe
Rules-Requires-Root: no

Package: onionprobe
Architecture: all
Pre-Depends: ${misc:Pre-Depends},
Depends: adduser,
         python3-cryptography,
         python3-prometheus-client,
         python3-requests,
         python3-socks,
         python3-stem,
         python3-yaml,
         tor,
         ${misc:Depends},
         ${python3:Depends},
Suggests: prometheus,
Breaks: python3-minimal (<< 3.12.3-0ubuntu2~)
Description: test/monitor tool for Tor Onion Services sites
 Onionprobe is a tool for testing and monitoring the status of Tor Onion
 Services sites. It can run a single time or continuously to probe a set of
 Tor Onion Services endpoints and paths, optionally exporting to Prometheus.

## onionprobe 1.2.0+ds

=== debian/changelog ===
onionprobe (1.2.0+ds-1) unstable; urgency=medium

  * New upstream version.
  * debian/patches:
    - Drop, obsolete, integrated upstream.
  * debian/rules:
    - Adjust path of man source file.

 -- Georg Faerber <georg@debian.org>  Sat, 11 May 2024 18:05:40 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: onionprobe
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Privacy Tools Maintainers <pkg-privacy-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Privacy Tools Maintainers <pkg-privacy-maintainers@lists.alioth.debian.org>
 Uploaders: Georg Faerber <georg@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-python,
@@ -31,7 +30,6 @@
          ${misc:Depends},
          ${python3:Depends},
 Suggests: prometheus,
-Breaks: python3-minimal (<< 3.12.3-0ubuntu2~)
 Description: test/monitor tool for Tor Onion Services sites
  Onionprobe is a tool for testing and monitoring the status of Tor Onion
  Services sites. It can run a single time or continuously to probe a set of

## onionprobe 1.4.0%2Bds

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                python3,
                python3-setuptools,
 X-Python-3-Version: >= 3.5
-Standards-Version: 4.6.0.1
+Standards-Version: 4.7.2.0
 Homepage: https://gitlab.torproject.org/tpo/onion-services/onionprobe
 Vcs-Git: https://salsa.debian.org/pkg-privacy-team/onionprobe.git
 Vcs-Browser: https://salsa.debian.org/pkg-privacy-team/onionprobe

## onionprobe 1.4.0+ds

=== debian/changelog ===
onionprobe (1.4.0+ds-1) unstable; urgency=medium

  * New upstream version. (Closes: #1105177)
  * debian/control:
    - Bump Standards-Version to 4.7.2.0, no changes required.
  * debian/tests:
    - Add autopkgtest.

 -- Georg Faerber <georg@debian.org>  Fri, 06 Jun 2025 16:01:57 +0000

## onionprobe 1.4.1+ds

=== debian/changelog ===
onionprobe (1.4.1+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Georg Faerber <georg@debian.org>  Fri, 24 Oct 2025 09:57:55 +0000

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with=python3 --buildsystem=pybuild

override_dh_auto_build:
	# Pipe output to sed to avoid http://lintian.debian.org/tags/hyphen-used-as-minus-sign.html
	# Fixed in http://johnmacfarlane.net/pandoc/releases.html#pandoc-1.10-2013-01-19
	pandoc -s -w man docs/man/onionprobe.1.txt -o docs/man/onionprobe.1
	sed -i -e 's/--/\\-\\-/g' docs/man/onionprobe.1
	dh_auto_build

override_dh_installinit:
	dh_installinit --no-enable --no-start

override_dh_installsystemd:
	dh_installsystemd --no-enable --no-start

=== debian/tests/control ===
Tests: onionprobe-help
Depends: @,

=== debian/watch ===
version=4

opts="compression=xz, \
      dversionmangle=s/\+ds//, \
      gitmode=shallow, \
      mode=git, \
      pgpmode=gittag, \
      repack, \
      repacksuffix=+ds" \
https://gitlab.torproject.org/tpo/onion-services/onionprobe.git/ refs/tags/([\d\.]+)
